# Google Data APIs Client Library (1.43.0)

## com.google.api.gbase.client
Class Stats

    java.lang.Object
      com.google.api.gbase.client.Stats

All Implemented Interfaces:
  Extension

    public class Stats

extends java.lang.Object
implements Extension

Object representation for the tag gm:stats.

Nested Class Summary
`static class` `Stats.Statistics` Information about one specific use (impressions, clicks, page views).

Constructor Summary
`Stats()`

Method Summary
`void` `generate(com.google.gdata.util.common.xml.XmlWriter w, ExtensionProfile extProfile)` Generates an XML representation for the extension.
`Stats.Statistics` `getClicks()` Gets click count.
`XmlParser.ElementHandler` `getHandler(ExtensionProfile extProfile, java.lang.String namespace, java.lang.String localName, org.xml.sax.Attributes attrs)` Gets an XML element handler for the extension.
`Stats.Statistics` `getImpressions()` Gets impression count.
`Stats.Statistics` `getPageViews()` Gets page view count.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Stats

    public Stats()

Method Detail

### getImpressions

    public Stats.Statistics getImpressions()

  Gets impression count.

### getClicks

    public Stats.Statistics getClicks()

  Gets click count.

### getPageViews

    public Stats.Statistics getPageViews()

  Gets page view count.

### generate

    public void generate(com.google.gdata.util.common.xml.XmlWriter w,
                         ExtensionProfile extProfile)
                  throws java.io.IOException

  Description copied from interface: `Extension`
  Generates an XML representation for the extension.

  Specified by:
    `generate` in interface `Extension`
  Parameters:
    `w` - XML writer
    `extProfile` - extension profile
  Throws:
    `java.io.IOException`

### getHandler

    public XmlParser.ElementHandler getHandler(ExtensionProfile extProfile,
                                               java.lang.String namespace,
                                               java.lang.String localName,
                                               org.xml.sax.Attributes attrs)
                                        throws ParseException,
                                               java.io.IOException

  Description copied from interface: `Extension`
  Gets an XML element handler for the extension.

  Specified by:
    `getHandler` in interface `Extension`
  Parameters:
    `extProfile` - extension profile
    `namespace` - extension namespace
    `localName` - tag name, without the namespace prefix
    `attrs` - tag attributes
  Returns:
    an element handler
  Throws:
    `ParseException` - when an unexpected tag or badly-formatted XML is detected
    `java.io.IOException`